> For the complete documentation index, see [llms.txt](https://docs.tvheadend.org/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tvheadend.org/documentation/setup/muxes-scan-files/using-w_scan-scan-files.md).

# Using w\_scan Scan Files

`w_scan` is an external utility, not supplied with TVHeadEnd (TVH), that can scan for all available muxes and services.\
\
If the default scan files provided with TVH are unable to locate the muxes or services that a user expects to see in their location, the output from `w_scan` can also be used as a scan file for TVH.

#### Example

The following command can be used to create a scan file called `au-wscan`:\
\
`w_scan -f t -c AU -x > au-wscan`\
\
The explanation of every `w_scan` parameter is beyond the scope of this document, however, the `-f t` parameter is for scanning DVB-T, the `-c AU` parameter sets to country to Australia and the `-x` parameter is required to produce the output format required by TVH.\
\
Use `w_scan -h` and `w_scan -H` for a full list of parameters.

```
#------------------------------------------------------------------------------
# file automatically generated by w_scan
# (http://wirbel.htpc-forum.de/w_scan/index2.html)
#! <w_scan> 20170107 1 0 TERRESTRIAL AU </w_scan>
#------------------------------------------------------------------------------
# location and provider: <add description here>
# date (yyyy-mm-dd)    : 2024-06-26
# provided by (opt)    : <your name or email here>
#
# T[2] <freq> <bw> <fec_hi> <fec_lo> <mod> <tm> <guard> <hi> [plp_id] [# comment]
#------------------------------------------------------------------------------
T 177500000 7MHz  3/4 NONE    QAM64   8k 1/16 NONE	# Seven Network
T 184500000 7MHz  3/4 NONE    QAM64   8k 1/16 NONE	# SBS Sydney
T 191625000 7MHz  3/4 NONE    QAM64   8k 1/16 NONE	# Nine Network Australia
T 219500000 7MHz  3/4 NONE    QAM64   8k 1/16 NONE	# Network TEN
T 226500000 7MHz  3/4 NONE    QAM64   8k 1/16 NONE	# ABC Sydney
```

This file can be copied to the scan file location and once TVH has been restarted, used to scan for services.

Depending upon the exact installation of TVH, scan file can be found in various locations:\
`/usr/local/share/tvheadend/data/dvb-scan/`\
`/usr/share/tvheadend/data/dvb-scan/`

**Please Note:** depending upon the parameters used, `w_scan` can take a **very** long time to perform a scan.

More details about `w_scan` can be found here: <https://github.com/stefantalpalaru/w_scan2>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tvheadend.org/documentation/setup/muxes-scan-files/using-w_scan-scan-files.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
